using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Text.Json.Serialization;
using e_suite.API.Common.models.@base;
using eSuite.Core.Miscellaneous;

namespace e_suite.API.Common.models;

public class Sequence : SequenceBase
{
    [JsonPropertyName("id")]
    [Required]
    [DefaultValue(null)]
    public GeneralIdRef? GeneralIdRef { get; set; } = null!;
}